#!/bin/bash

agentIP="$1"
condition="$2"
ext=".zip"
zipName=$agentIP$ext
echo $zipName
if [ "$condition" = "create" ]; then
   if [ -f /tmp/nvAgentLog/$zipName ]; then
   echo "File $zipName exists"
   echo "Deleting the file $zipName before creating"
   sudo rm -rf /tmp/nvAgentLog/
   else
   echo "File $zipName as well as the directory does not exist"
   fi
   echo "Creating the agent log zip"
   sudo mkdir -p /tmp/nvAgentLog/logs
   sudo cp -a /opt/sdn/networkvisualizer/agent/logs/. /tmp/nvAgentLog/logs/
   cd /tmp/nvAgentLog/logs/
   sudo zip /tmp/nvAgentLog/$zipName *
   sudo rm -rf /tmp/nvAgentLog/logs/
else
   echo "Deleting the agent log zip"
   sudo rm -rf /tmp/nvAgentLog/
fi
